Notifly
API ReferenceEnvironment Variables

Create a variable

Creates a new environment variable. Keys must be uppercase with underscores only (e.g. BASE_URL). Secret variables are encrypted at rest and masked in API responses.

POST
/v1/environment-variables

Creates a new environment variable. Keys must be uppercase with underscores only (e.g. BASE_URL). Secret variables are encrypted at rest and masked in API responses.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/environment-variables" \  -H "Content-Type: application/json" \  -d '{    "key": "string"  }'
{  "data": {    "_id": "string",    "_organizationId": "string",    "key": "string",    "type": "string",    "isSecret": true,    "values": [      {        "_environmentId": "string",        "value": "string"      }    ],    "createdAt": "string",    "updatedAt": "string"  }}